package sample.vo;

import java.util.Date;

public class UserSerializable implements java.io.Serializable
{
    private static final long serialVersionUID = -4247388131446037260L;

    private String id;

    private String lastname;

    private String firstname;

    private Date lastLogin;

    public UserSerializable( String id, String lastname, String firstname, Date lastLogin )
    {
        super();
        this.id = id;
        this.lastname = lastname;
        this.firstname = firstname;
        this.lastLogin = lastLogin;
    }

    public String getId()
    {
        return id;
    }

    public void setId( String id )
    {
        this.id = id;
    }

    public String getLastname()
    {
        return lastname;
    }

    public void setLastname( String lastname )
    {
        this.lastname = lastname;
    }

    public String getFirstname()
    {
        return firstname;
    }

    public void setFirstname( String firstname )
    {
        this.firstname = firstname;
    }

    public Date getLastLogin()
    {
        return lastLogin;
    }

    public void setLastLogin( Date lastLogin )
    {
        this.lastLogin = lastLogin;
    }

    @Override
    public String toString()
    {
        return "User [id=" + id + ", lastname=" + lastname + ", firstname=" + firstname + ", lastLogin=" + lastLogin + "]";
    }

}
